Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBSession.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBSession.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBSession

public final class DBSession.Row
extends Object
implements DBRow

Field Summary
`QAppPlugin` | `qapp`

Constructor Summary
`DBSession.Row(long sessionId, DBInbox.Row inbox, Date openingDate, DBUser.Row user, DBApplication.Row application, DBSystem.Row remoteSystem, String sessionNo, String properties, Date expiryDate, DBSession.Row orginatingSession)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete()`
`boolean` | `equals(Object o)`
`DBAccount.Row` | `getAccount()`
`DBApplication.Row` | `getApplication()`
`Date` | `getExpiryDate()`
`DBInbox.Row` | `getInbox()`
`Object` | `getKey()`
`List` | `getKeys()`
`Date` | `getOpeningDate()`
`DBSession.Row` | `getOrginatingSession()`
`String` | `getProperties()`
`int` | `getRemainingMillis()` Returns the time remaining before timeout, or -1 if there is no timeout.
`DBRemoteAccount.Row` | `getRemoteAccount()`
`String` | `getRemoteSessionNo()`
`DBSystem.Row` | `getRemoteSystem()`
`long` | `getSessionId()`
`String` | `getSessionNo()`
`DBUser.Row` | `getUser()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qapp

    public QAppPlugin qapp

Constructor Detail

### DBSession.Row

    public DBSession.Row(long sessionId,
                         DBInbox.Row inbox,
                         Date openingDate,
                         DBUser.Row user,
                         DBApplication.Row application,
                         DBSystem.Row remoteSystem,
                         String sessionNo,
                         String properties,
                         Date expiryDate,
                         DBSession.Row orginatingSession)
                  throws Exception

Method Detail

### delete

    public void delete()
                throws Exception

### closed

    public boolean closed()
                   throws Exception

### getSessionId

    public long getSessionId()

### getSessionNo

    public String getSessionNo()

### getRemoteSessionNo

    public String getRemoteSessionNo()

### getInbox

    public DBInbox.Row getInbox()

### getOpeningDate

    public Date getOpeningDate()

### getUser

    public DBUser.Row getUser()

### getApplication

    public DBApplication.Row getApplication()

### getRemoteSystem

    public DBSystem.Row getRemoteSystem()

### getProperties

    public String getProperties()

### getRemoteAccount

    public DBRemoteAccount.Row getRemoteAccount()
                                         throws Exception

### getAccount

    public DBAccount.Row getAccount()
                             throws Exception

### getExpiryDate

    public Date getExpiryDate()

### getRemainingMillis

    public int getRemainingMillis()

  Returns the time remaining before timeout, or -1 if there is no timeout.

### getOrginatingSession

    public DBSession.Row getOrginatingSession()

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD